package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqFile;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author: LG
 * @date: 2023/6/5 17:51
 */
@Repository
public interface YcqFileRepo  extends BaseRepo<YcqFile, Long> {
    YcqFile findByIdAndState(Long id ,Integer state);

    List<YcqFile> findByState(Integer state);

    YcqFile findByFileIdAndState(String fileId ,Integer state);
}
